// Copyright (c) 2021 Beta Kuang <beta.kuang@gmail.com>
//
// This software is provided 'as-is', without any express or implied
// warranty. In no event will the authors be held liable for any damages
// arising from the use of this software.
//
// Permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must not
//    claim that you wrote the original software. If you use this software
//    in a product, an acknowledgment in the product documentation would be
//    appreciated but is not required.
// 2. Altered source versions must be plainly marked as such, and must not be
//    misrepresented as being the original software.
// 3. This notice may not be removed or altered from any source distribution.

package log

import (
	"fmt"
	"os"
)

// Infof 输出信息日志.
func Infof(format string, vals ...interface{}) {
	fmt.Fprintf(os.Stdout, "[INFO ] %s\n", fmt.Sprintf(format, vals...))
}

// Errorf 输出错误日志.
func Errorf(format string, vals ...interface{}) {
	fmt.Fprintf(os.Stdout, "[ERROR] %s\n", fmt.Sprintf(format, vals...))
}

// Fatalf 输出致命错误日志.
func Fatalf(format string, vals ...interface{}) {
	fmt.Fprintf(os.Stdout, "[FATAL] %s\n", fmt.Sprintf(format, vals...))
	os.Exit(1)
}
